"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Builder_1 = require("./Builder");
/*@internal*/
class Terminal extends Builder_1.default {
    constructor(spec, prod, node) {
        super(spec, node);
        this.production = prod;
        this.optional = node.hasAttribute('optional');
    }
    build() {
        let modifiers = '';
        if (this.optional) {
            modifiers += '<emu-opt>opt</emu-opt>';
        }
        if (modifiers === '')
            return;
        const el = this.spec.doc.createElement('emu-mods');
        el.innerHTML = modifiers;
        this.node.appendChild(el);
    }
}
exports.default = Terminal;
